*       *********************************************************
*       *                                                         
*       * 2011.06.30           PAGLAB02.PRG              07:28:20 
*       *                                                         
*       *********************************************************
*       *                                                         
*       * Ing Gustavo A. Pinilla C.                               
*       *                                                         
*       * Copyright (c) 2011 SIE7E Ltda.                          
*       * Cel 310.421.2741                                        
*       * Cali, Valle  76001                                         
*       * Colombia                                          
*       *                                                         
*       * Description:                                            
*       * Este programa lo ha generado automticamente GENSCRN.    
*       *                                                         
*       *********************************************************

PARAMETERS _acceso

*       *********************************************************
*       *                                                         
*       *  PAGLAB02/Windows Cdigo de configuracin - SECCION 1   
*       *                                                         
*       *********************************************************
*

#REGION 1

*VERSION 01 : Se agrega mensaje de ayuda para el filtro
*        01A: Incluimos direccion y telefono en informe XLS
*        02 : Formato 2006 / Mzo 2007
*          A: Incluir pension Voluntaria
*          B: Incluimos formato DIAN-2007
*          C: Corregimos VACXRET --> VACRET
*          D: Incluimos formulario 2008
*          E: Incluimos cuentas AFC
*          F: Aj ret_fte
*          G: Correccion cuentas cta_afc
*          H: Agregamos cia, para cargue 7web
*          I: 2010/03/11 Agregamos lineas del Certificado x Wano en Para7srh
*             redondeos a mil en los calculos finales
*          J: Traemos los conceptos del archivo para7srh, CNF+CertIngRet
*          K: Agregamos descripcion 98 y modificacion del telefono
*          L: 2011.01.31 Cert ING 2010.
*          M: 2011.02.25 Agregamos [Parametros]
*             2011.03.10 Incluimos Fondo fsp en Excel
*             2011.03.11 Incluimos f_ingreso
*          N: 2011.06.30 Incluimo cargue a 7Web, paglab7web.fxp
_nomprg = "paglab02"

SET PROC TO LOCKS
DO  INICIAL
_C13 = CHR(13)

=_CLOSE("nmacum","selpr001","emplea2","usuarios")
IF ABRIR('usuarios',0)
   SCATTER MEMVAR
   STORE  m.ciudad TO wlug
   wtit0 = ALLTRIM(razonsoc)
   wdpt  = divpol(cod_dpt)
   wnum  = 1
   _cia  = consec
ELSE
   RETURN
ENDIF

*IF tipo_cia='C'   && COOPERATIVAS
*   wlinea1 = 'Compensaciones y dems ingresos.'
*   wlinea2 = 'Compensacion Anual e Intereses de Compensacion Anual efectivamente pagados'
*   wlinea5 = 'Otros Ingresos originados por la actividad Cooperativa'
*ELSE

*   wlinea1 = 'Salarios y dems Ingresos Laborales'
*   wlinea2 = 'Cesantias e Intereses de Cesantias efectivamente pagados'
*   wlinea5 = 'Otros Ingresos originados por la relacin Laboral'
*ENDIF

*wlinea3 = 'Gastos de Representacin'
*wlinea4 = 'Pensiones de Jubilacin o Invalidez'

wano = STR(YEAR(DATE())-1,4)
wfil = SPACE(250)

men_fil = [Ej: F_ACTIVO_EN(codemp,0,.T.)=']+m.codnom+[']+chr(13)+;
          [    !EMPTY(F_ACTIVO_EN(codemp,0,.T.))]



#REGION 0
REGIONAL m.currarea, m.talkstat, m.compstat

IF SET("TALK") = "ON"
	SET TALK OFF
	m.talkstat = "ON"
ELSE
	m.talkstat = "OFF"
ENDIF
m.compstat = SET("COMPATIBLE")
SET COMPATIBLE FOXPLUS

m.rborder = SET("READBORDER")
SET READBORDER ON

m.currarea = SELECT()


*       *********************************************************
*       *                                                         
*       *             Windows Definiciones de ventana             
*       *                                                         
*       *********************************************************
*

IF NOT WEXIST("w_cerlab") ;
	OR UPPER(WTITLE("W_CERLAB")) == "W_CERLAB.PJX" ;
	OR UPPER(WTITLE("W_CERLAB")) == "W_CERLAB.SCX" ;
	OR UPPER(WTITLE("W_CERLAB")) == "W_CERLAB.MNX" ;
	OR UPPER(WTITLE("W_CERLAB")) == "W_CERLAB.PRG" ;
	OR UPPER(WTITLE("W_CERLAB")) == "W_CERLAB.FRX" ;
	OR UPPER(WTITLE("W_CERLAB")) == "W_CERLAB.QPR"
	DEFINE WINDOW w_cerlab ;
		AT  0.000, 0.000  ;
		SIZE 30.000,57.143 ;
		TITLE "SIE7E" ;
		FONT "Courier New", 8 ;
		FLOAT ;
		NOCLOSE ;
		NOMINIMIZE ;
		DOUBLE ;
		COLOR RGB(,,,192,192,192)
	MOVE WINDOW w_cerlab CENTER
ENDIF


*       *********************************************************
*       *                                                         
*       *        PAGLAB02/Windows Distribucin de pantalla        
*       *                                                         
*       *********************************************************
*

#REGION 1
IF WVISIBLE("w_cerlab")
	ACTIVATE WINDOW w_cerlab SAME
ELSE
	ACTIVATE WINDOW w_cerlab NOSHOW
ENDIF
@ 5.071,2.000 SAY "Periodo :" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	COLOR RGB(0,0,0,192,192,192)
@ 6.286,2.000 SAY "Lugar donde se practico la retencion..." ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	COLOR RGB(0,0,0,192,192,192)
@ 9.071,2.000 SAY "Nombre / Razon Social del Retenedor ..." ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	COLOR RGB(0,0,0,192,192,192)
@ 11.429,2.143 SAY "Id. Retenedor:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	COLOR RGB(0,0,0,192,192,192)
@ 12.571,2.000 SAY "Direccion:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	COLOR RGB(0,0,0,192,192,192)
@ 14.857,2.000 SAY "Municipio:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	COLOR RGB(0,0,0,192,192,192)
@ 14.857,24.143 SAY "Departamento :" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	COLOR RGB(0,0,0,192,192,192)
@ 17.929,35.429 SAY "-" ;
	FONT "Courier New", 8 ;
	STYLE "B" ;
	COLOR RGB(0,0,0,192,192,192)
@ 25.357,1.571 TO 28.143,55.428 ;
	PATTERN 1 ;
	PEN 1, 8 ;
	COLOR RGB(128,128,128,192,192,192)
@ 5.071,25.857 SAY "No. Ini.:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	COLOR RGB(,,,192,192,192)
@ 4.857,44.429 SAY "-" ;
	FONT "Courier New", 8 ;
	STYLE "B" ;
	COLOR RGB(,,,192,192,192)
@ 28.071,1.571 TO 28.071,55.428 ;
	PEN 1, 8 ;
	STYLE "1" ;
	COLOR RGB(255,255,255,255,255,255)
@ 25.357,55.286 TO 28.071,55.286 ;
	PEN 1, 8 ;
	COLOR RGB(255,255,255,255,255,255)
@ 0.000,0.000 TO 4.071,57.143 ;
	PATTERN 1 ;
	PEN 1, 8 ;
	COLOR RGB(0,0,128,0,0,128)
@ 1.714,8.286 SAY "CERTIFICADOS DE INGRESOS Y RETENCIONES" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT" ;
	COLOR RGB(255,255,0,255,255,0)
@ 0.000,44.429 SAY "PAGLAB02.02M" ;
	FONT "Arial", 8 ;
	STYLE "T" ;
	COLOR RGB(255,255,255,,,,)
@ 19.429,2.000 SAY "Filtro:" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "BT"
@ 5.071,16.857 SAY "CU :" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	COLOR RGB(0,0,0,192,192,192)
@ 11.429,27.429 SAY "Telefono:" ;
	PICTURE "@J" ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	COLOR RGB(0,0,0,192,192,192)
@ 4.857,10.286 GET wano ;
	SIZE 1.143,4.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "9999" ;
	VALID v_ano() ;
	MESSAGE _mens("Digite el Ao de proceso") ;
	COLOR ,RGB(,,,0,255,255)
@ 4.857,21.429 GET wcut ;
	SIZE 1.143,2.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "!!" ;
	VALID v_cut() ;
	MESSAGE _mens("Digite el CU deseado o dejelo en Blanco") ;
	COLOR ,RGB(,,,255,255,255)
@ 4.857,37.143 GET wnum ;
	SIZE 1.143,6.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "99,999" ;
	VALID _enable() ;
	COLOR ,RGB(,,,255,255,255)
@ 4.929,46.286 GET wfin ;
	SIZE 1.143,6.000 ;
	DEFAULT 0 ;
	FONT "Courier New", 8 ;
	PICTURE "99,999" ;
	WHEN .F. ;
	COLOR ,RGB(,,,255,255,255)
@ 7.357,3.857 GET wlug ;
	SIZE 1.143,48.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@!" ;
	COLOR ,RGB(,,,0,255,255)
@ 10.071,3.571 GET wtit0 ;
	SIZE 1.143,48.714 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@!" ;
	COLOR ,RGB(,,,0,255,255)
@ 11.429,14.571 GET m.nit ;
	SIZE 1.143,12.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@9" ;
	COLOR ,RGB(,,,0,255,255)
@ 13.500,3.571 GET m.direccion ;
	SIZE 1.143,48.714 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@!" ;
	VALID _enable() ;
	COLOR ,RGB(,,,0,255,255)
@ 15.857,3.429 GET m.ciudad ;
	SIZE 1.143,20.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@!" ;
	COLOR ,RGB(,,,0,255,255)
@ 15.857,24.857 GET wdpt ;
	SIZE 1.143,27.429 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@!" ;
	COLOR ,RGB(,,,0,255,255)
@ 17.929,3.857 GET wsel ;
	PICTURE "@*C \<Por Rango Codigos" ;
	SIZE 1.308,23.833 ;
	DEFAULT 0 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	COLOR ,,,,,,,,RGB(,,,192,192,192),RGB(,,,192,192,192)
@ 17.929,25.857 GET wced1 ;
	SIZE 1.143,8.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@!" ;
	WHEN wsel = 1 ;
	VALID _3960g0km3() ;
	COLOR ,RGB(,,,255,255,255)
@ 17.929,37.857 GET wced2 ;
	SIZE 1.143,8.000 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@!" ;
	WHEN wsel = 1 ;
	VALID wced2 >= wced1 ;
	COLOR ,RGB(,,,255,255,255)
@ 20.500,3.429 GET wfil ;
	SIZE 3.214,48.143 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@K" ;
	VALID val_filtro('nmacum') ;
	MESSAGE _mens(men_fil) ;
	COLOR ,RGB(,,,255,255,255)
@ 25.929,2.857 GET wsal ;
	PICTURE "@*HN \\\<Consultar;\\\<Imprimir;\\\<Excel;\<Salir" ;
	SIZE 1.769,10.833,1.000 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID _3960g0kma() ;
	COLOR ,,,,,,,,RGB(,,,255,255,255)
@ 11.429,35.857 GET m.telefono ;
	SIZE 1.143,16.286 ;
	DEFAULT " " ;
	FONT "Courier New", 8 ;
	PICTURE "@9" ;
	COLOR ,RGB(,,,0,255,255)
@ 25.929,43.286 GET wb_par2 ;
	PICTURE "@*HN P\<arametros" ;
	SIZE 1.769,13.000,0.667 ;
	DEFAULT 1 ;
	FONT "MS Sans Serif", 8 ;
	STYLE "B" ;
	VALID v_param() ;
	DISABLE ;
	MESSAGE _mens("Parametros del certificado")

IF NOT WVISIBLE("w_cerlab")
	ACTIVATE WINDOW w_cerlab
ENDIF

READ CYCLE MODAL

RELEASE WINDOW w_cerlab
SELECT (m.currarea)


#REGION 0

SET READBORDER &rborder

IF m.talkstat = "ON"
	SET TALK ON
ENDIF
IF m.compstat = "ON"
	SET COMPATIBLE ON
ENDIF



*       *********************************************************
*       *                                                         
*       * PAGLAB02/Windows Procedimientos y funciones de soporte  
*       *                                                         
*       *********************************************************
*

#REGION 1
PROCEDURE _imprime

   wlinea1 = TP7("CNF","CertIngRet-"+wano,"01")
   wlinea2 = TP7("CNF","CertIngRet-"+wano,"02")
   wlinea3 = TP7("CNF","CertIngRet-"+wano,"03")
   wlinea4 = TP7("CNF","CertIngRet-"+wano,"04")
   wlinea5 = TP7("CNF","CertIngRet-"+wano,"05")

   wcnc37 = TP7("CNF","CertIngRet-"+wano,"37")
   wcnc38 = TP7("CNF","CertIngRet-"+wano,"38")
   wcnc39 = TP7("CNF","CertIngRet-"+wano,"39")
   wcnc40 = TP7("CNF","CertIngRet-"+wano,"40")
   wcnc41 = TP7("CNF","CertIngRet-"+wano,"41")
   wcnc43 = TP7("CNF","CertIngRet-"+wano,"43")
   wcnc44 = TP7("CNF","CertIngRet-"+wano,"44")
   wcnc45 = TP7("CNF","CertIngRet-"+wano,"45")
   wcnc46 = TP7("CNF","CertIngRet-"+wano,"46")
   wlinea98 = TP7("CNF","CertIngRet-"+wano,"98")
   wlinea99 = TP7("CNF","CertIngRet-"+wano,"99")

   * Copiamos los detalles del anio anterior
   IF EMPTY(wlinea1) AND EMPTY(wlinea2) AND ;
      EMPTY(wlinea3) AND EMPTY(wlinea4) AND ;
      EMPTY(wlinea5)

      kano = NTOC(VAL(wano)-1,4)
      klinea1 = TP7("CNF","CertIngRet-"+kano,"01")

      IF !EMPTY(klinea1)
         klinea2 = TP7("CNF","CertIngRet-"+kano,"02")
         klinea3 = TP7("CNF","CertIngRet-"+kano,"03")
         klinea4 = TP7("CNF","CertIngRet-"+kano,"04")
         klinea5 = TP7("CNF","CertIngRet-"+kano,"05")

         klinea98 = TP7("CNF","CertIngRet-"+kano,"98")
         klinea99 = TP7("CNF","CertIngRet-"+kano,"99")

         kcnc37 = TP7("CNF","CertIngRet-"+kano,"37")
         kcnc38 = TP7("CNF","CertIngRet-"+kano,"38")
         kcnc39 = TP7("CNF","CertIngRet-"+kano,"39")
         kcnc40 = TP7("CNF","CertIngRet-"+kano,"40")
         kcnc41 = TP7("CNF","CertIngRet-"+kano,"41")
         kcnc43 = TP7("CNF","CertIngRet-"+kano,"43")
         kcnc44 = TP7("CNF","CertIngRet-"+kano,"44")
         kcnc45 = TP7("CNF","CertIngRet-"+kano,"45")
         kcnc46 = TP7("CNF","CertIngRet-"+kano,"46")



         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"01",klinea1)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"02",klinea2)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"03",klinea3)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"04",klinea4)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"05",klinea5)

         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"37",kcnc37)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"38",kcnc38)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"39",kcnc39)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"40",kcnc40)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"41",kcnc41)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"43",kcnc43)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"44",kcnc44)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"45",kcnc45)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"46",kcnc46)

         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"98",klinea98)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"99",klinea99)

         wlinea1  = klinea1
         wlinea2  = klinea2
         wlinea3  = klinea3
         wlinea4  = klinea4
         wlinea5  = klinea5
         wcnc37   = kcnc37
         wcnc38   = kcnc38
         wcnc39   = kcnc39
         wcnc40   = kcnc40
         wcnc41   = kcnc41
         wcnc43   = kcnc43
         wcnc44   = kcnc44
         wcnc45   = kcnc45
         wcnc46   = kcnc46
         wlinea98 = klinea98
         wlinea99 = klinea99

      ENDIF

   ENDIF
   k1 = FILETEMP(1)
   k2 = FILETEMP(1)
   i1 = FILETEMP(2)

   kfil = IIF(EMPTY(wfil),'.T.',ALLTRIM(wfil))

   ** && por rango de codigos
   _whi_  = [codemp<=wced2 FOR LEFT(lapsoc,4)=wano AND (EMPTY(wcut) OR TD7('empresas',1,empresa,'cenuti')=wcut )]
   _whi2_ = [codemp<="99999999" FOR LEFT(lapsoc,4)=wano AND ( (EMPTY(wcut) OR TD7('empresas',1,empresa,'cenuti')=wcut ))]

   =_CLOSE('q_nmac')
   IF (wsel = 1  AND COPYDBFTMP('nmacum',2,wced1,_whi_,'q_nmac')) OR ;
      COPYDBFTMP('nmacum',2,"0",_whi2_,'q_nmac')

      =_mens('Acumulados Por codigo ...')
      _acum =       'BASICO    ,EXTRAS    ,BE        ,EXTRAZ    ,PRIMASBONI,'
      _acum = _acum+'OTROSCOMIS,PRIMAZBONI,OTROZCOMIS,'
      _acum = _acum+'VACLEG    ,VACRET    ,VACACION  ,INCAPAC   ,VACXRET   ,VAC_RET'
      _acum = _acum+'SUBTRAN   ,SERVIPRIMA'
      _cesa =       "CESANTIAS ,INTERESES ,CESANTIA  ,INTERES   "
      _segs =       "ISS       "
      _pvol =       "PENSVOLUN "
      _aafc =       "AHORRO_AFC"
      _rfte =       'RET_FTE   '

      IF EMPTY(wcnc37) OR EMPTY(wcnc38) OR EMPTY(wcnc43) OR EMPTY(wcnc44) OR EMPTY(wcnc46)

         SET TALK ON
         SELECT codemp, ;
                SUM(IIF(c.codcon02$_acum,valor,0)) AS salarios, ;
                SUM(IIF(c.codcon02$_cesa,valor,0)) AS cesan_int, ;
                SUM(IIF(c.codcon02$'EXTRALEG  ',valor,0)) AS extraleg, ;
                SUM(IIF(c.codcon02$_segs,-valor,0)) AS segsocial, ;
                SUM(IIF(codcon = m.coniss,-valor,0)) AS segsal, ;
                SUM(IIF(codcon = m.conpen,-valor,0)) AS segpen, ;
                SUM(IIF(codcon = m.confsp,-valor,0)) AS segfsp, ;
                SUM(IIF(c.codcon02 = _RFTE,-valor,0)) AS retfuente, ;
                SUM(IIF(c.codcon02$_pvol,-valor,0)) AS pen_vol, ;
                SUM(IIF(c.codcon02$_aafc,-valor,0)) AS cta_afc ;
           FROM q_nmac, concepto c ;
          WHERE q_nmac.codcon = c.codigo ;
          GROUP BY codemp ;
          ORDER BY codemp ;
           INTO CURSOR q_respagT
         SET TALK OFF
      ELSE
         * Tomamos los conceptos que se han parametrizados en PARA7SRH
         SET TALK ON
         SELECT codemp, ;
                SUM(IIF(codcon$wcnc37,valor,0)) AS salarios, ;
                SUM(IIF(codcon$wcnc38,valor,0)) AS cesan_int, ;
                SUM(IIF(codcon$wcnc41,valor,0)) AS extraleg, ;
                SUM(IIF(codcon$wcnc43+[,]+wcnc44,-valor,0)) AS segsocial, ;
                SUM(IIF(codcon$wcnc43,-valor,0)) AS segsal, ;
                SUM(IIF(codcon$wcnc44,-valor,0)) AS segpen, ;
                0 AS segfsp, ;
                SUM(IIF(codcon$wcnc46,-valor,0)) AS retfuente, ;
                SUM(IIF(codcon$wcnc45,-valor,0)) AS pen_vol, ;
                0 AS cta_afc ;
           FROM q_nmac ;
          WHERE q_nmac.valor # 0 ;
          GROUP BY codemp ;
          ORDER BY codemp ;
           INTO CURSOR q_respagT
         SET TALK OFF


      ENDIF

      IF _tally > 0

      SELECT codemp, ;
             ROUND(salarios,-3) AS salarios, ;
             ROUND(cesan_int,-3) AS cesan_int, ;
             ROUND(extraleg,-3) AS extraleg, ;
             ROUND(segsocial,-3) AS segsocial, ;
             ROUND(segsal,-3) AS segsal, ;
             ROUND(segpen,-3) AS segpen, ;
             ROUND(segfsp,-3) AS segfsp, ;
             ROUND(retfuente,-3) AS retfuente, ;
             ROUND(pen_vol,-3) AS pen_vol, ;
             ROUND(cta_afc,-3) AS cta_afc ;
        FROM q_respagt ;
        INTO CURSOR q_respag
      SET TALK OFF

         kmen ="Se imprimiran: "+ALLTRIM(str(recc(),5))+" formularios"
         =_mens(kmen)

         IF wsel = 0  AND mensaje('Ordenado por Negocio?')
            =_mens('Ordenando ...')
            SELECT q_respag.*, F_ACTIVO_EN(codemp,0,.T.) AS negocio, ;
                   TRAE_NOM(codemp) AS nombre ;
              FROM q_respag WHERE  &kfil  INTO CURSOR q1
            =_mens('Ordenando .....')
            SELECT * FROM q1 INTO CURSOR q_respag ORDER BY negocio,nombre
         ENDIF

         _salida = IIF(wsal=1,'PREVIEW','NOCONSOLE TO PRINT PROMPT')
         IF wsal < 3
            IF _windows
               DO CASE
                  CASE wano="2006"
                       REPORT FORM paglab07  &_salida FOR &kfil

                  CASE wano="2007"
                       REPORT FORM paglab08  &_salida FOR &kfil

                  CASE wano $ "2008,2009"
                       REPORT FORM paglab09  &_salida FOR &kfil

                  CASE wano >= "2010"
                       REPORT FORM paglab10  &_salida FOR &kfil

                  OTHER
                       REPORT FORM paglab05  &_salida FOR &kfil
               ENDCASE
            ELSE
               REPORT FORM paglab06  FOR &kfil
            ENDIF

         ENDIF

         _men = " "+_C13+" Desea Exportar esta INFORMACION a Excel? "+_C13+" . "

         IF wsal = 3 AND mensaje(_men) AND ABRIR("selpr001",1)
            warc = PUTFILE("Nombre H.Elect","ingr"+wano,"XLS")
            IF !EMPTY(warc)
               SET TALK ON
               SELECT _cia AS cia, codemp,salarios, cesan_int, ;
                      extraleg AS otros, ;
                      segsocial, segsal, segpen, segfsp, ;
                      pen_vol , cta_afc, ;
                      f_exento() AS exentos, retfuente  ;
                 FROM q_respag ;
                ORDER BY codemp ;
                 INTO CURSOR q_xls

               IF _tally > 0
                  SET RELATION TO codemp INTO selpr001
                  COPY FIELD cia, codemp, selpr001.cc_ti, selpr001.nombre, ;
                       selpr001.direccion, selpr001.municipio, ;
                       selpr001.telefono, salarios, cesan_int, ;
                       otros,segsocial,segsal, segpen, segfsp, ;
                       pen_vol,cta_afc, ;
                       exentos,retfuente ;
                    TO (warc) TYPE XLS FOR &kfil
                    DO VER_XLS WITH warc

                  * Ingresar a 7-Web
                  IF FILE("paglab7Web.fxp") OR FILE("paglab7Web.prg")
                     IF !FILE("paglab7Web.fxp")
                        COMPILE paglab7Web ENCR
                     ENDIF
                     DO paglab7Web WITH "q_xls"
                  ENDIF
               ENDIF
            ENDIF
         ENDIF

         _men = " "+_C13+" Desea Enviar esta INFORMACION a un Archivo Plano? "+_C13+" . "

         IF Mensaje(_men) AND ABRIR("selpr001",1)
            warc = PUTFILE("Nombre de Archivo","ingr"+wano,"TXT")
            IF !EMPTY(warc)
               SELECT q_respag
               SET PRINT TO (warc)
               DO PRINT_ON
               REPORT FORM paglab06  FOR &kfil TO PRINT
               DO PRINT_OFF
               SET PRINT TO
            ENDIF
         ENDIF

      ENDIF

   ENDIF

SET TALK OFF
RETURN
******

FUNCTION say_vlr
PARAMETER kced,kcon
_area = SELECT()
kvlr = 0
SELECT nmacum
IF SEEK(kced)
   SUM valor TO kvlr WHILE Codemp=kced FOR codcon=kcon
ENDIF
SELECT (_area)
RETURN kvlr
******

FUNCTION v_ano
IF !EMPTY(wano)
   =_CLOSE("qt_acum")

   SELECT 0
   USE nmacum ORDER 6 AGAIN ALIAS qt_acum
   IF SEEK(wano)
      IF EMPTY(lapsoc)
         DO WHILE ano = wano
            IF EMPTY(lapsoc)
               REPLACE lapsoc WITH ano
            ENDIF
            SKIP
         ENDDO
      ENDIF
   ENDIF
   =_CLOSE("qt_acum")
ENDIF
RETURN _enable()
******

FUNCTION _enable
IF BETWEEN(wano,'1999','2020')
   SHOW GET w_param,1 ENABLE
   SHOW GET wb_par2,1 ENABLE
ELSE
   SHOW GET w_param,1 DISABLE
   SHOW GET wB_PAR2,1 DISABLE
ENDIF

IF BETWEEN(wano,'1999','2020') AND ;
   !EMPTY(wlug) AND !EMPTY(wtit0) AND;
   (wsel=0 OR !EMPTY(wced1)) AND ;
   wced2>= wced1
   ON KEY LABEL PGDN DO obj_sal
   SHOW GET wsal,1 ENABLE
   SHOW GET wsal,2 ENABLE
   SHOW GET wsal,3 ENABLE
ELSE
   ON KEY LABEL PGDN
   SHOW GET wsal,1 DISABLE
   SHOW GET wsal,2 DISABLE
   SHOW GET wsal,3 DISABLE
ENDIF
SHOW GETS WINDOW w_cerlab
RETURN .T.
******

FUNCTION v_cut
knit = TP7('CIA','NIT_Compania',wcut)
kraz = ALLTRIM(TP7('CIA','Razon_Social',wcut))
IF !EMPTY(knit) AND !EMPTY(kraz)
   wtit0 = kraz
   m.nit = knit
ENDIF
RETURN _enable()
******

FUNCTION F_exento
kvlr = ((salarios+extraleg)*.25)+cesan_int
RETURN kvlr
******

FUNCTION v_param

   wlinea1 = TP7("CNF","CertIngRet-"+wano,"01")
   wlinea2 = TP7("CNF","CertIngRet-"+wano,"02")
   wlinea3 = TP7("CNF","CertIngRet-"+wano,"03")
   wlinea4 = TP7("CNF","CertIngRet-"+wano,"04")
   wlinea5 = TP7("CNF","CertIngRet-"+wano,"05")

   wcnc37 = TP7("CNF","CertIngRet-"+wano,"37")
   wcnc38 = TP7("CNF","CertIngRet-"+wano,"38")
   wcnc39 = TP7("CNF","CertIngRet-"+wano,"39")
   wcnc40 = TP7("CNF","CertIngRet-"+wano,"40")
   wcnc41 = TP7("CNF","CertIngRet-"+wano,"41")
   wcnc43 = TP7("CNF","CertIngRet-"+wano,"43")
   wcnc44 = TP7("CNF","CertIngRet-"+wano,"44")
   wcnc45 = TP7("CNF","CertIngRet-"+wano,"45")
   wcnc46 = TP7("CNF","CertIngRet-"+wano,"46")
   wlinea98 = TP7("CNF","CertIngRet-"+wano,"98")
   wlinea99 = TP7("CNF","CertIngRet-"+wano,"99")

   * Copiamos los detalles del anio anterior
   IF EMPTY(wlinea1) AND EMPTY(wlinea2) AND ;
      EMPTY(wlinea3) AND EMPTY(wlinea4) AND ;
      EMPTY(wlinea5) AND MENSAJE("Copiar textos del Formato Anterior ?")

      kano = NTOC(VAL(wano)-1,4)
      klinea1 = TP7("CNF","CertIngRet-"+kano,"01")

      IF !EMPTY(klinea1)
         klinea2 = TP7("CNF","CertIngRet-"+kano,"02")
         klinea3 = TP7("CNF","CertIngRet-"+kano,"03")
         klinea4 = TP7("CNF","CertIngRet-"+kano,"04")
         klinea5 = TP7("CNF","CertIngRet-"+kano,"05")

         klinea98 = TP7("CNF","CertIngRet-"+kano,"98")
         klinea99 = TP7("CNF","CertIngRet-"+kano,"99")

         kcnc37 = TP7("CNF","CertIngRet-"+kano,"37")
         kcnc38 = TP7("CNF","CertIngRet-"+kano,"38")
         kcnc39 = TP7("CNF","CertIngRet-"+kano,"39")
         kcnc40 = TP7("CNF","CertIngRet-"+kano,"40")
         kcnc41 = TP7("CNF","CertIngRet-"+kano,"41")
         kcnc43 = TP7("CNF","CertIngRet-"+kano,"43")
         kcnc44 = TP7("CNF","CertIngRet-"+kano,"44")
         kcnc45 = TP7("CNF","CertIngRet-"+kano,"45")
         kcnc46 = TP7("CNF","CertIngRet-"+kano,"46")



         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"01",klinea1)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"02",klinea2)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"03",klinea3)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"04",klinea4)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"05",klinea5)

         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"37",kcnc37)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"38",kcnc38)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"39",kcnc39)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"40",kcnc40)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"41",kcnc41)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"43",kcnc43)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"44",kcnc44)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"45",kcnc45)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"46",kcnc46)

         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"98",klinea98)
         INSERT INTO para7srh (tipo,codigo,secuen,dato);
                VALUES ("CNF","CertIngRet-"+wano,"99",klinea99)

         wlinea1  = klinea1
         wlinea2  = klinea2
         wlinea3  = klinea3
         wlinea4  = klinea4
         wlinea5  = klinea5
         wcnc37   = kcnc37
         wcnc38   = kcnc38
         wcnc39   = kcnc39
         wcnc40   = kcnc40
         wcnc41   = kcnc41
         wcnc43   = kcnc43
         wcnc44   = kcnc44
         wcnc45   = kcnc45
         wcnc46   = kcnc46
         wlinea98 = klinea98
         wlinea99 = klinea99

      ELSE
         =MENSAJE("Alerta, Revise textos Periodo Anterior")
      ENDIF

   ENDIF

   do def_wind with "8","Actualizacion Textos para el Certificado I-R "+wano
   =_CLOSE("para7srh","para_cir")
   SELECT 0
   USE para7srh ORDER 1 ALIAS para_cir AGAIN
   BROWSE KEY "CNFCertIngRet-"+Wano ;
          FIELD secuen, dato ;
          WINDOW consult8
   ON KEY LABEL ENTER
   ON KEY LABEL F8
   ON KEY LABEL ESC
   ON KEY LABEL F12

   USE IN para_cir
RETURN .T.
******

PROCEDURE close_data
=_CLOSE("nmacum","selpr001","emplea2","usuarios")
=_CLOSE('q_nmac','q_respag','q_xls')
RETURN
******

PROCEDURE f_ingreso
parameter _cod8, _anio
_dato8a=_anio+' 01 01'

_area_ = SELECT()

=_CLOSE("t_cnt")

SELECT 0
USE EMPLEADO ORDER 6 AGAIN SHARED ALIAS t_cnt
IF SEEK(_cod8)
   do while nitemple=_cod8 and !EOF()
      IF fecing = _anio
         _dato8a= left(fecing,4)+"  "+subs(fecing,5,2)+"  "+subst(fecing,7,2)
      ELSE
         IF fecing< _anio and (EMPTY(fecret) OR fecret=_anio)
            _dato8a=_anio+" 01 01"
         ENDIF
      endif
      skip
   enddo
ENDIF

=_CLOSE("t_cnt")
SELECT (_area_)

RETURN	_DATO8A

*       *********************************************************
*       *                                                         
*       * _3960G0KM3           wced1 VALID                        
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         PAGLAB02,     Record Number:   32  
*       * Variable:            wced1                              
*       * Called By:           VALID Clause                       
*       * Object Type:         Field                              
*       * Snippet Number:      1                                  
*       *                                                         
*       *********************************************************
*
FUNCTION _3960g0km3     &&  wced1 VALID
#REGION 1
IF wced2 < wced1
   wced2 = wced1
   SHOW GET wced2
   SET FUNC 9 TO wced1
ENDIF
RETURN .T.

*       *********************************************************
*       *                                                         
*       * _3960G0KMA           wsal VALID                         
*       *                                                         
*       * Function Origin:                                        
*       *                                                         
*       * From Platform:       Windows                            
*       * From Screen:         PAGLAB02,     Record Number:   35  
*       * Variable:            wsal                               
*       * Called By:           VALID Clause                       
*       * Object Type:         Push Button                        
*       * Snippet Number:      2                                  
*       *                                                         
*       *********************************************************
*
FUNCTION _3960g0kma     &&  wsal VALID
#REGION 1
DO CASE
   CASE wsal = 1
        SHOW GET wsal,1 DISABLE
        DO _imprime
        SHOW GET wsal,1 ENABLE
   CASE wsal = 2
        SHOW GET wsal,2 DISABLE
        DO _imprime
   CASE wsal = 3
        SHOW GET wsal,3 DISABLE
        DO _imprime
   CASE wsal = 4
        CLEAR READ
ENDCASE
RETURN
******
